ARG UBI_IMAGE=registry.access.redhat.com/ubi8/ubi:8.3

FROM ${UBI_IMAGE}

ARG KUBECTL_VERSION=1.14.10
ARG YQ_VERSION=2.4.1

ADD https://storage.googleapis.com/kubernetes-release/release/v${KUBECTL_VERSION}/bin/linux/amd64/kubectl /assets/usr/local/bin/kubectl
ADD https://github.com/mikefarah/yq/releases/download/${YQ_VERSION}/yq_linux_amd64 /assets/usr/local/bin/yq
ADD https://raw.githubusercontent.com/kubernetes/kubectl/master/LICENSE /assets/licenses/kubectl.txt